- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cp_mgmt_access_layer – Manages access-layer objects on Check Point over Web Services API

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manages access-layer objects on Check Point devices including creating, updating and removing objects.

- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
add_default_rule boolean | Choices: no yes | Indicates whether to include a cleanup rule in the new layer.
applications_and_url_filtering boolean | Choices: no yes | Whether to enable Applications & URL Filtering blade on the layer.
auto_publish_session boolean | Choices: no yes | Publish the current session if changes have been performed after task completes.
color string | Choices: aquamarine black blue crete blue burlywood cyan dark green khaki orchid dark orange dark sea green pink turquoise dark blue firebrick brown forest green gold dark gold gray dark gray light green lemon chiffon coral sea green sky blue magenta purple slate blue violet red navy blue olive orange red sienna yellow | Color of the object. Should be one of existing colors.
comments string |  | Comments string.
content_awareness boolean | Choices: no yes | Whether to enable Content Awareness blade on the layer.
details_level string | Choices: uid standard full | The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.
detect_using_x_forward_for boolean | Choices: no yes | Whether to use X-Forward-For HTTP header, which is added by the proxy server to keep track of the original source IP.
firewall boolean | Choices: no yes | Whether to enable Firewall blade on the layer.
ignore_errors boolean | Choices: no yes | Apply changes ignoring errors. You won't be able to publish such a changes. If ignore-warnings flag was omitted - warnings will also be ignored.
ignore_warnings boolean | Choices: no yes | Apply changes ignoring warnings.
implicit_cleanup_action string | Choices: drop accept | The default "catch-all" action for traffic that does not match any explicit or implied rules in the layer.
mobile_access boolean | Choices: no yes | Whether to enable Mobile Access blade on the layer.
name string / required |  | Object name.
shared boolean | Choices: no yes | Whether this layer is shared.
state string | Choices: present ← absent | State of the access rule (present or absent). Defaults to present.
tags list |  | Collection of tag identifiers.
version string |  | Version of checkpoint. If not given one, the latest version taken.
wait_for_task boolean | Choices: no yes ← | Wait for the task to end. Such as publish task.

## Examples

    - name: add-access-layer
      cp_mgmt_access_layer:
        name: New Layer 1
        state: present

    - name: set-access-layer
      cp_mgmt_access_layer:
        applications_and_url_filtering: false
        data_awareness: true
        name: New Layer 1
        state: present

    - name: delete-access-layer
      cp_mgmt_access_layer:
        name: New Layer 2
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_access_layer dictionary | always, except when deleting the object. | The checkpoint object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.